﻿<Graph ClassName="SOOrderTypeExtOTC" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using PX.Common;
using PX.Data.ReferentialIntegrity.Attributes;
using PX.Data;
using PX.Objects.AR;
using PX.Objects.Common;
using PX.Objects.CS;
using PX.Objects.GL;
using PX.Objects.IN;
using PX.Objects.SO;
using PX.Objects;
using PX.SM;
using System.Collections.Generic;
using System;

namespace PX.Objects.SO
{
    public class SOOrderTypeExtOTC : PXCacheExtension<PX.Objects.SO.SOOrderType>
    {
        #region UsrDisplayExpDate
        [PXDBBool]
        [PXDefault(false, PersistingCheck = PXPersistingCheck.Nothing)]
        [PXUIField(DisplayName = "Display Expiration Date")]
        public virtual bool? UsrDisplayExpDate { get; set; }
        public abstract class usrDisplayExpDate : PX.Data.BQL.BqlDateTime.Field<usrDisplayExpDate> { }
        #endregion

        #region UsrDisplayAttr
        [PXDBBool]
        [PXDefault(false, PersistingCheck = PXPersistingCheck.Nothing)]
        [PXUIField(DisplayName = "Display Item Attributes")]
        public virtual bool? UsrDisplayAttr { get; set; }
        public abstract class usrDisplayAttr : PX.Data.BQL.BqlBool.Field<usrDisplayAttr> { }
        #endregion

        #region UsrConnectPO
        [PXDBBool]
        [PXDefault(false, PersistingCheck = PXPersistingCheck.Nothing)]
        [PXUIField(DisplayName = "Enable Linking of Purchase Order to Sales Order")]
        public virtual bool? UsrConnectPO { get; set; }
        public abstract class usrConnectPO : PX.Data.BQL.BqlBool.Field<usrConnectPO> { }
        #endregion

        #region UsrUseContractedPrice
        [PXDBBool]
        [PXDefault(false, PersistingCheck = PXPersistingCheck.Nothing)]
        [PXUIField(DisplayName = "Use Contracted Price In Sales Orders (If Available)")]
        public virtual bool? UsrUseContractedPrice { get; set; }
        public abstract class usrUseContractedPrice : PX.Data.BQL.BqlBool.Field<usrUseContractedPrice> { }
        #endregion
    }
}]]></CDATA>
</Graph>